Bug 237956 - net-mgmt/xymon-server: fix build with GCC-based architectures
Summary: net-mgmt/xymon-server: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-17 21:02 UTC by Piotr Kubaj
Modified: 2019-06-15 13:00 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
patch (1.12 KB, patch)
2019-05-17 21:02 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (feld)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-05-17 21:02:42 UTC
Created attachment 204432 [details]
patch

Adding -L/usr/lib when using gcc8 (used on GCC architectures) makes gcc8 link to base libstdc++ which breaks build.

Fix this by adding -L${OPENSSLBASE} only when using non-base SSL.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-05-29 22:56:04 UTC
This builds for me, so once the maintainer approves, consider this mentor approval.
Comment 2 commit-hook freebsd_committer 2019-06-15 13:00:10 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Jun 15 12:59:24 UTC 2019
New revision: 504242
URL: https://svnweb.freebsd.org/changeset/ports/504242

Log:
  net-mgmt/xymon-server: fix build with GCC-based architectures

  Adding -L/usr/lib when using gcc8 (used on GCC architectures) makes gcc8 link to base libstdc++ which breaks build.

  Fix this by adding -L${OPENSSLBASE} only when using non-base SSL.

  PR:		237956
  Approved by:	feld (maintainer timeout), linimon (mentor, on IRC)

Changes:
  head/net-mgmt/xymon-server/Makefile
  head/net-mgmt/xymon-server/files/Makefile